Cancel a restream operation
curl --request DELETE \
--url https://dev.startree.ai/tables/{tableNameWithType}/restream \
--header 'Authorization: <api-key>'import requests
url = "https://dev.startree.ai/tables/{tableNameWithType}/restream"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://dev.startree.ai/tables/{tableNameWithType}/restream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timeElapsedSinceStartInSeconds": 123,
"jobId": "<string>",
"restreamConfig": {
"debugPause": false,
"destTableNameWithType": "newTableName_REALTIME",
"maxRebalanceTimeMin": 120,
"destServerTenant": "restreamTenant",
"destBrokerTenant": "restreamTenant",
"maxTableStreamLag": 5000,
"tableNameWithType": "tableName_REALTIME"
},
"tableStreamProgress": {
"lastProbedLag": 123,
"lastProbeTimeMs": 123,
"startTime": 123
},
"verboseTableStreamLag": {},
"forceCommitProgress": {
"lastProbeTimeMs": 123,
"startTime": 123,
"totalConsumingSegments": 123,
"consumingSegmentsCommitted": 123
},
"segmentsToBeCommitted": [
"<string>"
]
}Restream
Cancel a restream operation
Cancel a restream operation
DELETE
/
tables
/
{tableNameWithType}
/
restream
Cancel a restream operation
Authorizations
The format of the key is "Basic <token>" or "Bearer <token>"
Path Parameters
Name of the table with type to restream
Response
200 - application/json
successful operation
Available options:
INIT, TABLE_STREAM, FORCE_COMMIT, REBALANCE, DONE, FAILED, CANCELLED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

